<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3>
              <strong>Manage Vehicle Categories Messages</strong>
            </h3>
            <div class="fm-row float2">
              <div class="row">
                <div class="col-sm-8 text-right">
                  <button class="btn btn-sm btn-primary green" (click)="refetchVehicleModel()">
                    <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                  <ng-container *ngIf="aclAdd">
                    <button type="submit" class="btn btn-primary btn-sm blue"
                      [routerLink]="['/admin/fleet/vehicle-category-messages/add']">Add
                      new record</button>
                  </ng-container>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                  <thead>
                    <tr>
                      <th scope="col">Message</th>
                      <th scope="col">Categories</th>
                      <th scope="col" *ngIf="aclEdit || aclDelete">Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchLoader">
                      <img class="loader-img" src="assets/img/loader.gif" alt="loader"/>
                    </span>
                    <tr *ngFor="let vehicleCategory of CategoryData">
                      <td>{{vehicleCategory.message}}</td>
                      <td><span *ngFor='let category of vehicleCategory.category_id'>
                          {{category.name}}<br />
                        </span>
                      </td>
                      <td *ngIf="aclEdit || aclDelete">
                        <span *ngIf="aclEdit" matTooltip="Edit">
                          <a [routerLink]="['/admin/fleet/vehicle-category-messages/edit', vehicleCategory._id]">
                            <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                          </a>
                        </span>&nbsp;&nbsp;&nbsp;
                        <span *ngIf="aclDelete" matTooltip="Delete">
                          <a (click)="openDialog(vehicleCategory._id)">
                            <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                          </a>
                        </span>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <br>

              <div class="container-fluid" *ngIf="vehicleCategoryLength>0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div *ngIf="del">
                      <ngb-pagination [collectionSize]="vehicleCategoryLength" (pageChange)="pagingAgent($event)"
                        [page]="1" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true"></ngb-pagination>
                    </div>
                    <div *ngIf="!del">
                      <ngb-pagination [collectionSize]="vehicleCategoryLength" (pageChange)="pagingAgent($event)"
                        [page]="1" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                        [boundaryLinks]="true"></ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="vehicleCategoryLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>